Message::Passing::Filter::Encoder::JSON(3pm)

NAME
Message::Passing::Role::Filter::Encoder::JSON - Encodes data structures as JSON for output

DESCRIPTION
This filter takes a hash ref or an object for a message, and serializes it to JSON.

Plain refs work as expected, and classes generated by either:

Log::Message::Structures
MooseX::Storage

should be correctly serialized.

METHODS

  filter
Performs the JSON encoding.

  pretty
Attribute controlling if JSON is pretty printed.

SEE ALSO

Message::Passing
Message::Passing::Manual::Concepts

SPONSORSHIP
This module exists due to the wonderful people at Suretec Systems Ltd. <http://www.suretecsystems.com/> who sponsored its development for its VoIP division called SureVoIP <http://www.surevoip.co.uk/> for use with the SureVoIP API - <http://www.surevoip.co.uk/support/wiki/api_documentation>

AUTHOR, COPYRIGHT AND LICENSE
See Message::Passing.